## wxZipNotifier

If you need to know when a wxZipInputStream updates a wxZipEntry, you can create a notifier by deriving from this abstract base class, overriding OnEntryUpdated(). An instance of your notifier class can then be assigned to wxZipEntry objects, using wxZipEntry::SetNotifier().

Setting a notifier is not usually necessary. It is used to handle certain cases when modifying an zip in a pipeline (i.e. between non-seekable streams). See 'Archives on non-seekable streams'.

Derived from

No base class

Include files

<wx/zipstrm.h>

See also

Archives on non-seekable streams
wxZipEntry
wxZipInputStream
wxZipOutputStream

Members

wxZipNotifier::OnEntryUpdated

### wxZipNotifier::OnEntryUpdated

void OnEntryUpdated(wxZipEntry& entry)

Override this to receive notifications when an wxZipEntry object changes.